2017-09-23 17:15 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000286Cheat Enginepublic2013-12-20 03:39
ReporterCsimbi 
Assigned ToDark Byte 
PrioritynormalSeveritytweakReproducibilityalways
StatusfeedbackResolutionreopened 
Summary0000286: CE 6.3 - Pointer rescan speed
DescriptionI have been doing a few pointer scans and a bunch of re-scans lately.
I am getting the impression that the rescan procedure is slower than it used to be.
I am filtering out invalid pointers in the first few iterations usually - don't know if that matters.

I save the dumps on SSD, which is fairly quick. I just did the test, I can copy a 9GB file onto the same partition in about 16 secs. Doing a 'filter out invalid pointers' scan takes about 2 minutes.
I also noticed that the processor is barely used in the process.

I always thought the limiting factor would be the hard drive, but it seems it's not the case. Well, at least the file copy is fast.

I wonder if it could be the write-caching. Does CE write in 4k or larger blocks?
SSDs need to rewrite a whole 4k block even if a single byte is updated in a block. That would certainly explain the speed drop.

Any chance to take a look?

Thank you!
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000594

Dark Byte (developer)

Last edited: 2013-10-03 19:55

In 6.3 (and all earlier versions) rescans only uses 1 cpu thread. (so in a 4 core cpu with hyperthreading (8 threads) the max cpu usage would be around 12)
Next ce version will use more threads (And you can even use multiple systems at the same time)

Rescans store the results in memory, until the 16MB buffer is full, or the scan ends. Only then will the results be written to disk, so the 4KB thing isn't a problem

that it's slower than it used to be, could be that you're using a debug build (not optimized) or your disk is becoming fragmented

~0000596

Csimbi (reporter)

Last edited: 2013-10-05 17:10

It's the pure build from mgr.inz.Player, pure rev.2127_32&64bit.7z
I am using x64 CE.

~0000609

Dark Byte (developer)

should be fixed now

~0000645

Csimbi (reporter)

I am not seeing any improvement on r2229 (from mgr.inc.player).
Here's a screenshot about 10 mins into rescan.
http://s10.postimg.org/blj8cia3d/CE_Ptr_Rescan_10_minutes.png
+Notes

-Issue History
Date Modified Username Field Change
2013-10-03 10:06 Csimbi New Issue
2013-10-03 19:43 Dark Byte Note Added: 0000594
2013-10-03 19:43 Dark Byte Status new => acknowledged
2013-10-03 19:54 Dark Byte Note Edited: 0000594
2013-10-03 19:54 Dark Byte Note Edited: 0000594
2013-10-03 19:55 Dark Byte Note Edited: 0000594
2013-10-05 17:09 Csimbi Note Added: 0000596
2013-10-05 17:10 Csimbi Note Edited: 0000596
2013-10-25 20:01 Dark Byte Note Added: 0000609
2013-10-25 20:01 Dark Byte Status acknowledged => resolved
2013-10-25 20:01 Dark Byte Resolution open => fixed
2013-10-25 20:01 Dark Byte Assigned To => Dark Byte
2013-12-20 03:39 Csimbi Note Added: 0000645
2013-12-20 03:39 Csimbi Status resolved => feedback
2013-12-20 03:39 Csimbi Resolution fixed => reopened
+Issue History